checkmate::DualDfpn::OraclePool::List Struct Reference
Inheritance diagram for checkmate::DualDfpn::OraclePool::List:

## Public Member Functions

void | add (const Element &e)
Public Member Functions inherited from osl::FixedCapacityVector< Element, max_oracle_list_size >
| FixedCapacityVector ()
| ~FixedCapacityVector ()
FixedCapacityVector & | operator= (FixedCapacityVector const &rhs)
Element & | operator[] (size_t i)
iterator | begin ()
iterator | end ()
Element & | front ()
Element & | back ()
void | push_back (const Element &e)
void | pop_back ()
void | clear ()
void | resize (size_t new_length)
void | erase (const Element &e)
void | unique ()
| 重複する要素を取り除く
size_t | size () const
bool | empty () const
size_t | capacity () const
bool | isMember (const Element &e, const_iterator first, const_iterator last) const
detail::FixedCapacityVectorPushBack< Element > | pushBackHelper ()

## Additional Inherited Members

Public Types inherited from osl::FixedCapacityVector< Element, max_oracle_list_size >
typedef array_t::value_type | value_type
typedef array_t::iterator | iterator
typedef array_t::const_iterator | const_iterator
Protected Types inherited from osl::FixedCapacityVector< Element, max_oracle_list_size >
typedef Array | array_t
Protected Attributes inherited from osl::FixedCapacityVector< Element, max_oracle_list_size >
Element * | ptr
CArray< int64_t,(sizeof(Element[Capacity])+sizeof(int64_t) -1)/sizeof(int64_t)> | relements

## Detailed Description

Definition at line 46 of file dualDfpn.cc.

## Member Function Documentation

## add()

void checkmate::DualDfpn::OraclePool::List::add | ( | const Element & | e | ) |

inline

Definition at line 48 of file dualDfpn.cc.

References osl::FixedCapacityVector< Element, max_oracle_list_size >::back(), osl::FixedCapacityVector< Element, max_oracle_list_size >::capacity(), osl::FixedCapacityVector< Element, max_oracle_list_size >::push_back(), and osl::FixedCapacityVector< Element, max_oracle_list_size >::size().

The documentation for this struct was generated from the following file:

- dualDfpn.cc